* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

.center {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

/* charcter css */

.char-button {
    width: 400px;
    height: 200px;
    font-size: 3rem;
}

.screen {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 40px;
    pointer-events: auto;
    z-index: 100;
}

.char-button.js-active {
    border-style: inset;
    background-color: #ccc;
}

/* fireworks */

.fireworks-container {
    top: 0;
    left: 0;
    width: 400px;
    height: 1000px;
    pointer-events: none;
    overflow: visible;
    background-color: rgb(48, 30, 105);
    margin-bottom: 80px;
}

.firework {
    position: absolute;
    width: 6px;
    height: 6px;
    border-radius: 50%;
    background-color: gold;
    opacity: 1;
    transform: translate(0, 0);
    animation: firework 4000ms forwards;
    }

@keyframes firework {
    0% {
        transform: translate(0, 200px);
        opacity: 1;
    }
    30% {
        transform: translate(0, -200px);
        opacity: 1;
    }
    
    31% {
        transform: translate(0, -200px);
        opacity: 1;
    }
    90% {
        transform: translate(var(--x), var(--y));
        opacity: 0.5;
    }
    100% {
        transform: translate(var(--x), var(--y));
        opacity: 0;
    }
}
